DOM::HTMLLabelElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLLabelElement Class Reference

Form field label text. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLLabelElement:

[legend]
Collaboration diagram for DOM::HTMLLabelElement:

[legend]
List of all members.

## Public Member Functions
| HTMLLabelElement (const HTMLLabelElement &other)
| HTMLLabelElement (const Node &other)
HTMLLabelElement & | operator= (const HTMLLabelElement &other)
HTMLLabelElement & | operator= (const Node &other)
DOMString | accessKey () const
| A single character access key to give access to the form control.
void | setAccessKey (const DOMString &)
| see accessKey
DOMString | htmlFor () const
| This attribute links this label with another form control by `id` attribute.
void | setHtmlFor (const DOMString &)
| see htmlFor
## Protected Member Functions
| HTMLLabelElement (HTMLLabelElementImpl *impl)

## Detailed Description

Form field label text.

See the LABEL element definition in HTML 4.0.

Definition at line 641 of file html_form.h.

## Member Function Documentation

DOMString HTMLLabelElement::accessKey | ( |  | ) | const

| A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0. Definition at line 596 of file html_form.cpp.

void HTMLLabelElement::setAccessKey | ( | const DOMString & |  | ) |

| see accessKey Definition at line 602 of file html_form.cpp.

DOMString HTMLLabelElement::htmlFor | ( |  | ) | const

| This attribute links this label with another form control by `id` attribute. See the for attribute definition in HTML 4.0. Definition at line 607 of file html_form.cpp.

void HTMLLabelElement::setHtmlFor | ( | const DOMString & |  | ) |

| see htmlFor Definition at line 613 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:48 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001